<bugID>890421<Summary>[Session Restore]"Don&#8217;t load tabs until selected" is broken, The contents would not load after select the restored tab.</Summary><Description>Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/dcbbfcdf7bb4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130704 Firefox/25.0 ID:20130704031323

The contents would not load after select the restored tab.

Steps To Reproduce:
1. Open 3 tabs
2. Pinned a tab
   --- now [pinned][normal A][normal B]
3. Restart Browser
4. Click "Restore Previous Tabs"
5. Select a unselected background tab

Actual Results:
empty

Expected Results:
The contents should load after select the unselected tab


Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/614e1793e958
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130629 Firefox/25.0 ID:20130629173041
Bad:
http://hg.mozilla.org/mozilla-central/rev/e24391ffbe7e
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130630 Firefox/25.0 ID:20130630083743
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=614e1793e958&amp;tochange=e24391ffbe7e


Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/3f5669a7cd14
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130630 Firefox/25.0 ID:20130630080142
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/fe2f77d51bf1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130630 Firefox/25.0 ID:20130630084042
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=3f5669a7cd14&amp;tochange=fe2f77d51bf1


Regression window(fx-team)
Good:
http://hg.mozilla.org/integration/fx-team/rev/52f605debfd4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130627 Firefox/25.0 ID:20130627033223
Bad:
http://hg.mozilla.org/integration/fx-team/rev/086465524970
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20130627 Firefox/25.0 ID:20130627073223
Pushlog:
http://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=52f605debfd4&amp;tochange=086465524970

Regressed by:
086465524970	Tim Taubert &#8212; Bug 887394 - Don't collect state right after startup when restoring the initial session; r=yoric</Description></bugID>